Subject: [Dime] Comments on RFC3588bis

From: Fortune HUANG <[email-masked]>
Date: Sat, 28 Feb 2009 17:50:40 +0800

Hi all,
 
With the wide use in multiple applications, I think nowadays the Diameter
protocol should not be considered as only a AAA protocol. Many of the
Diameter applications have nothing to do with the Authentication,
Authorization and Accounting, although the AAA applications are some of the
important applications. Therefore, I propose we revise RFC3588bis to reflect
this fact.
 
Take the definitions in section 1.3 for example.
 
"   Diameter Client
 
      A Diameter Client is a device at the edge of the network that
      performs access control.  ...
...
 
Diameter Server 
 
      A Diameter Server is one that handles authentication,
      authorization and accounting requests for a particular realm.  ..."
 
For an non-AAA application, these defintions are not precise at all. 

Best Regards,
Fortune